using Blazored.LocalStorage;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Http;
using System.Net.Http.Json;
using System.Threading.Tasks;
using wispro.sp.entity;

namespace wispro.sp.web.Services
{
    public class CalMonthServices
    {
        private readonly HttpClient _httpClient;
        private readonly ILocalStorageService _localStorageService;
        
        public CalMonthServices(HttpClient httpClient)
        {
            _httpClient = httpClient;
            
        }
        public async  Task<CalMonth> GetHandlingMonth()
        {
            try
            {
                var data = await _httpClient.GetFromJsonAsync<CalMonth>($"http://localhost:39476/api/CalMonth/GetHandlingMonth");
                return data;
            }
            catch(Exception ex)
            {
                Console.WriteLine(ex.ToString());
                return null;
            }
        }
    }
}
